Bug 477249 - R300 won't boot with "nomodeset"
R300 won't boot with "nomodeset"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 15:51 EST by Diego
Modified: 2009-01-15 04:26 EST (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati 6.9.0-63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 04:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego 2008-12-19 15:51:17 EST
Description of problem:
The latest drv-ati update causes Xorg to stall on AGP R300 with "nomodeset" kernel option.

Version-Release number of selected component (if applicable):

kernel-2.6.27.7-134.fc10 + xorg-x11-drv-ati-6.9.0-61 works

kernel-2.6.27.7-134.fc10 + xorg-x11-drv-ati-6.9.0-62 totally locks the system

Reproducible:
Always

Steps to reproduce:
Upgrade drv-ati from -61 to -62 and then logout. You'll get a screwed up screen (sort of not aligned, moved and distorted desktop screen), the mouse still moving for 1 or 2 second and then also the mouse cursor locks.

Without the option "nomodeset" you don't get this problem.

Hardware: Radeon 9500 AGP
Comment 1 Matěj Cepl 2009-01-13 19:15:47 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Diego 2009-01-14 15:02:54 EST
Just tested with the updates and it works again. The bug is fixed.

kernel 2.6.27.9-163.fc10
drv-ati 6.9.0-63
Comment 3 Matěj Cepl 2009-01-15 04:26:25 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.